<template>
  <div>
    <el-button type="primary" @click="checkData">一键核对</el-button>
    <div id="dialysis-print-box">
      <div class="dialysis-print-order">
        <div class="order-yy-name">{{ orgname }}</div>
        <div class="order-title">血液透析(滤过)记录表单</div>
        <table border="1" class="table-box" style="border-collapse: collapse;text-align: center;width: 99%;font-size: 16px;">
          <tbody>
            <tr>
              <td width="80" style="line-height:30px;">治疗日期:<span>{{ year }}</span>年<span>{{ months }}</span>月<span>{{ day }}</span>日</td>
            </tr>
          </tbody>
        </table>
        <table border="1" class="table-box" style="border-collapse: collapse;width: 99%;font-size: 16px;">
          <tbody>
            <tr>
              <td colspan="3">
                <div style="display: flex;line-height:30px;">
                  <div style="flex: 1;">
                    姓 名:{{ patientInfo.name ? patientInfo.name : "/" }}
                  </div>
                  <div style="flex: 1;">
                    性 别:{{ patientInfo.gender ? '男' : "女" }}
                  </div>
                  <div style="flex: 1;">
                    年 龄:{{ getNewAge(patientInfo.id_card_no) }}岁
                  </div>
                  <div style="flex: 1;">
                    透析号:{{ patientInfo.dialysis_no ? patientInfo.dialysis_no : "/" }}
                  </div>
                  <div style="flex: 1;">
                    透析机号:
                    {{ dialysisOrder && dialysisOrder.DeviceNumber && dialysisOrder.DeviceNumber.number.length > 0 ? dialysisOrder.DeviceNumber.number : patientInfo.DialysisSchedule.device_number.number }}
                  </div>
                  <div style="flex: 1;">
                    透析次数：  {{ patientInfo.total_dialysis + patientInfo.user_sys_before_count ?
                                patientInfo.total_dialysis + patientInfo.user_sys_before_count : "/" }}
                  </div>
                </div>
              </td>
            </tr>

            <tr>
              <td colspan="2">
                <div style="line-height:30px;">
                  上机前病情:
                  <!-- <span v-if="predialysis.symptom_before_dialysis_other==''"> -->
                    <label-box :isChecked="predialysis.symptom_before_dialysis_other==''?true :false" showValue="无特殊"></label-box>&nbsp;
                    <label-box :isChecked="predialysis.symptom_before_dialysis_other!=''?true :false" showValue="症状:"></label-box>
                  <!-- </span> -->
                  <!-- <span>{{predialysis.symptom_before_dialysis}}</span> -->
                  <span>{{predialysis.symptom_before_dialysis_other}}</span>
                </div>
              </td>
              <td>
                <div style="line-height:30px;">
                  BP:
                  {{ predialysis.systolic_blood_pressure ? predialysis.systolic_blood_pressure : ""}} /
                  {{ predialysis.diastolic_blood_pressure ? predialysis.diastolic_blood_pressure : ""}}mmHg
                </div>

              </td>
            </tr>

            <tr>
              <td colspan="2">
                <div style="line-height:30px;">
                  治疗方式:
                  <label-box :isChecked="prescription.mode=='HD'?true :false" showValue="HD"></label-box>&nbsp;
                  <label-box :isChecked="prescription.mode=='HDF'?true :false" showValue="HDF"></label-box>&nbsp;
                  <label-box :isChecked="prescription.mode=='HD+HP'?true :false" showValue="HD+HP"></label-box>
                  (<label-box :isChecked="prescription.mode=='HDF'&& prescription.displace_liqui_part == 1?true :false" showValue="前稀释"></label-box>&nbsp;
                  <label-box :isChecked="prescription.mode=='HDF'&& prescription.displace_liqui_part == 2?true :false" showValue="后稀释,"></label-box>&nbsp;
                  <span>置换量: {{ prescription.displace_liqui_value ? prescription.displace_liqui_value : "/" }} ml</span>
                  )&nbsp;&nbsp;
                  <label-box :isChecked="prescription.mode!='HDF' && prescription.mode!='HD' && prescription.mode!='HD+HP' && prescription.mode!=''?true :false" showValue="其他:"></label-box>
                  <span v-if="prescription.mode!='HDF' && prescription.mode!='HD' && prescription.mode!='HD+HP'">{{ prescription.mode }}</span>
                </div>
              </td>
              <td style="line-height:30px;">
                治疗时间：
                {{ afterdialysis.actual_treatment_hour ? afterdialysis.actual_treatment_hour : "0" }}小时
                {{ afterdialysis.actual_treatment_minute ? afterdialysis.actual_treatment_minute : 0 }}分
              </td>
            </tr>

            <tr>
              <td colspan="3">
                <div style="display: flex;line-height:30px;">
                  <span>治疗抗凝:</span>
                  <span v-if="prescription.anticoagulant !='普通肝素' && prescription.anticoagulant!='无肝素' && prescription.anticoagulant!='枸橼酸'">
                    {{ prescription.anticoagulant }} &nbsp;&nbsp;
                    {{prescription.anticoagulant_zongliang ? prescription.anticoagulant_zongliang : "0"}}
                  </span>U&nbsp;&nbsp;
                  <!-- <span v-if="prescription.anticoagulant !='普通肝素' && prescription.anticoagulant!='无肝素' && prescription.anticoagulant!='枸橼酸'">

                  </span>U &nbsp;&nbsp; -->
                  <label-box :isChecked="prescription.anticoagulant=='普通肝素'?true :false" showValue="普通肝素:"></label-box>&nbsp;&nbsp;
                  <div style="display: inline-block;">
                    首剂：
                    <span v-if="prescription.anticoagulant=='普通肝素'">
                      {{ prescription.anticoagulant_shouji ? prescription.anticoagulant_shouji : "0" }}
                    </span>mg &nbsp;&nbsp;
                    追加：
                    <span v-if="prescription.anticoagulant=='普通肝素'">
                      {{prescription.anticoagulant_weichi ? prescription.anticoagulant_weichi : "0"}}
                    </span>mg/h &nbsp;&nbsp;
                    总量：
                    <span v-if="prescription.anticoagulant=='普通肝素'">
                      {{ prescription.anticoagulant_zongliang ? prescription.anticoagulant_zongliang : "0"}}
                    </span>mg
                  </div>
                  &nbsp;&nbsp;
                  <label-box :isChecked="prescription.anticoagulant=='无肝素'?true :false" showValue="无肝素"></label-box>&nbsp;&nbsp;
                  <label-box :isChecked="prescription.anticoagulant=='枸橼酸'?true :false" showValue="枸橼酸"></label-box>
                </div>
              </td>
            </tr>

            <tr>
              <td colspan="3">
                <div style="display: flex;flex-wrap: wrap;">
                  <div style="flex: 1;">
                    上次透后体重:{{lastWeight.weight_after?lastWeight.weight_after:'0' }}kg
                  </div>
                  <div style="flex: 1;">
                    本次透前体重:{{ predialysis.weight_before ? predialysis.weight_before : '0' }}kg
                  </div>
                  <div style="flex: 1;">
                    体重增加量:
                    {{ (lastWeight.weight_after == 0 || predialysis.weight_before == 0 ? 0
                        : ( predialysis.weight_before - lastWeight.weight_after).toFixed(2))
                    }}kg
                  </div>

                </div>
              </td>
            </tr>

            <tr>
              <td colspan="3">
                <div style="display: flex;flex-wrap: wrap;">
                  <div style="flex: 1;">
                    干体重(DW):{{ predialysis.dry_weight ? predialysis.dry_weight :'0' }}kg
                  </div>
                  <div style="flex: 1;">
                    本次透后体重:{{ afterdialysis.weight_after ? afterdialysis.weight_after :'0' }}kg
                  </div>
                  <div style="flex: 1;">
                    本次透析体重下降量:
                    {{  afterdialysis.weight_after == 0 || predialysis.weight_before == 0? '0.00'
                      : (predialysis.weight_before - afterdialysis.weight_after).toFixed(2) }}kg
                  </div>
                </div>
              </td>
            </tr>

            <tr>
              <td colspan="2">
                <div style="line-height:30px;">
                  <span>目标脱水量: {{ prescription.target_ultrafiltration ? prescription.target_ultrafiltration : "" }} </span>L &nbsp;&nbsp;
                  <span>处方脱水量: {{ prescription.prescription_water ? prescription.prescription_water : "" }} </span>L &nbsp;&nbsp;
                </div>
              </td>
              <td >
                医师签名:
                <span class="under-line" style="display: inline-block;width: 50%;" v-if="setAdminUserES(prescription.creater) == ''">
                  {{ getAdminUser(prescription.creater)}}
                </span>
                <span class="under-line" style="display: inline-block;width: 50%;" v-else>
                  <img style="height:30px;" :src="setAdminUserES(prescription.creater)" alt srcset />
                </span>
              </td>
            </tr>

            <tr>
              <td colspan="3">
                <div>
                  <span>透析液流量: {{ prescription.dialysate_flow ? prescription.dialysate_flow : "" }} </span>ml/h &nbsp;&nbsp;
                  <span>血流量:{{ prescription.blood_flow_volume ? prescription.blood_flow_volume : "" }} </span>ml/min &nbsp;&nbsp;
                </div>
              </td>
            </tr>

          </tbody>
        </table>
        <table border="1" class="table-box" style="border-collapse: collapse;width: 99%;font-size: 16px;">
          <tr>
            <td style="width: 20%; line-height: 30px;">透析机：
              {{predialysis.machine_type ? predialysis.machine_type : " "}}
            </td>
            <td style="width: 30%;line-height: 30px;">
              透析(滤)器:
              {{ prescription.dialysis_dialyszers ? prescription.dialysis_dialyszers : "" }}

              {{ prescription.dialysis_strainer ? prescription.dialysis_strainer : "" }}
              <!-- {{ prescription.dialyzer_perfusion_apparatus ? prescription.dialyzer_perfusion_apparatus : ""}} &nbsp;
              {{ prescription.dialysis_dialyszers ? prescription.dialysis_dialyszers : " "}} -->
            </td>
            <td style="">
              透析液:钾:
              <span style="">2.0</span>mmol/L&nbsp;
              钙:
              <span style="">1.5</span>mmol/L&nbsp;
              碳酸氢盐:
              <span >32</span>mmol/L&nbsp;
              钠:
              <span>138</span>mmol/L
                <!-- style="width: 20px; display: inline-block" -->
            </td>
          </tr>

          <tr>
            <td colspan="3">
              <div style="display: inline-block;line-height: 30px;">
                血管通路:
                {{ predialysis.blood_access_part_id ? predialysis.blood_access_part_id :'/' }}
                {{ predialysis.blood_access_part_opera_name ? predialysis.blood_access_part_opera_name : '/' }}

              </div>&nbsp;&nbsp;
              <div style="display: inline-block;line-height: 30px;">
                穿刺者:
                <span v-if="setAdminUserES(dialysisOrder == null ? 0 : dialysisOrder.puncture_nurse) == ''">
                  {{ getAdminUser(dialysisOrder == null ? 0 : dialysisOrder.puncture_nurse) }}
                </span>
                <img class="es-img" style="height:30px;" :src="setAdminUserES(dialysisOrder == null ? 0 : dialysisOrder.puncture_nurse)" alt="" srcset="" v-else />
              </div>
            </td>

          </tr>
        </table>

        <table border="1" class="table-box" style="border-collapse: collapse;text-align: center;width: 99%;font-size: 16px;">
          <tbody>
            <tr>
              <td colspan="12" style="padding: 5px;">治疗过程记录</td>
            </tr>
            <tr>
              <td rowspan="2">时间</td>
              <td colspan="5">透析参数</td>
              <td colspan="3">生命体征</td>
              <td colspan="2">治疗中病情变化</td>
            </tr>
            <tr>
              <td>TMP<br/>mmHg</td>
              <td>动脉压<br/>mmHg</td>
              <td>静脉压<br/>mmHg</td>
              <td>血流量<br/>ml/min</td>
              <td>脱水量<br/>ml</td>
              <!-- <td>超滤率<br/>ml/h</td> -->
              <td>HR<br/>bpm</td>
              <!-- <td>R<br/>bpm</td> -->
              <td>BP<br/>mmHg</td>
              <td>护士签名</td>
              <!-- <td>时间</td> -->
              <td>记录</td>
            </tr>
            <tr v-for="(monitor, monindex) in monitors" :key="monindex">
              <td style="height: 30px;">{{ getTime(monitor.operate_time, "{h}:{i}") }}</td>
              <td>{{
                monitor.transmembrane_pressure ? monitor.transmembrane_pressure : "/"
                }}
              </td>
              <td>{{ monitor.arterial_pressure ? monitor.arterial_pressure : '/'}}</td>
              <td>{{ monitor.venous_pressure ? monitor.venous_pressure : "/" }}</td>
              <td>{{ monitor.blood_flow_volume ? monitor.blood_flow_volume : "/" }}</td>
              <td>{{ monitor.ultrafiltration_volume ? monitor.ultrafiltration_volume : "/"}}</td>
              <!-- <td>{{ monitor.ultrafiltration_rate ? monitor.ultrafiltration_rate : "/" }}</td> -->
              <td>{{ monitor.pulse_frequency ? monitor.pulse_frequency : "/" }}</td>
              <!-- <td>{{ monitor.breathing_rate ? monitor.breathing_rate : "/" }}</td> -->
              <td>{{
                  monitor.systolic_blood_pressure
                    ? monitor.systolic_blood_pressure
                    : "/"
                }}/{{
                  monitor.diastolic_blood_pressure
                    ? monitor.diastolic_blood_pressure
                    : "/"
                }}
              </td>
              <td>
                <span v-if="setAdminUserES(monitor.monitoring_nurse) == ''">
                  {{
                  getAdminUser(monitor.monitoring_nurse)
                  }}
                </span>
                <span
                  v-else
                  style="display:flex;align-items:center;justify-content:space-around;height:36px;"
                >
                  <img style="height:30px;" :src="setAdminUserES(monitor.monitoring_nurse)" alt srcset />
                </span>
              </td>
              <td>
                {{ monitor.end }} {{ monitor.symptom }} &nbsp;
                {{monitor.dispose}} &nbsp;{{ monitor.result }}
              </td>
            </tr>
          </tbody>
        </table>
        <div>
          <table border="1" class="table-box" style="border-collapse: collapse;text-align: center;width: 99%;font-size: 16px;">
            <tbody>
              <tr>
                <td style="width:12%;height:25px;">
                  <p style="height:30px;line-height:30px">时间</p>
                </td>
                <td style="width:120px;height:25px">
                  <p style="height:30px;line-height:30px">医嘱执行记录</p>
                </td>
                <td style="width:10%;height:25px">
                  <p style="height:30px;line-height:30px">执行</p>
                </td>
                <td style="width:10%;height:25px">
                  <p style="height:30px;line-height:30px">核对</p>
                </td>
                <!-- <td style="width:15%;height:27px">
                  <p style="height:30px;line-height:30px">上次透后体重</p>
                </td>
                <td style="width:10%;line-height:30px">
                  <span >

                  </span>
                  {{ lastWeight.weight_after ? lastWeight.weight_after : "0" }}kg
                </td> -->
              </tr>

              <tr v-for="(advice, advice_index) in tableAdvice" :key="advice_index">
                <td style="height:30px;line-height:30px">{{ getTime(advice.start_time, "{y}-{m}-{d} {h}:{i}") }}</td>
                <td style="height:30px;line-height:30px;text-align: left;">
                  <span v-if="advice.parent_id > 0">---></span>
                  <span>{{ advice.advice_name }}</span>
                  <span v-if="advice && advice.advice_desc">({{ advice.advice_desc }}{{ advice.drug_spec_unit }})</span>
                  <span v-if="advice.prescribing_number">&nbsp;&nbsp; {{ advice.prescribing_number }}{{ advice.prescribing_number_unit }}</span>
                  <span v-if="advice.single_dose != 0">{{ advice.single_dose }}{{ advice.single_dose_unit }}</span>
                  <span v-if="advice.parent_id == 0">{{ advice.delivery_way }}</span>
                  <span v-if="advice.parent_id == 0">{{ advice.execution_frequency }}</span>
                </td>
                <td style="height:30px;line-height:30px">
                  <span v-if="setAdminUserES(advice.execution_staff) == ''">{{ getAdminUser(advice.execution_staff) }}</span>
                  <img style="height:40px;" :src="setAdminUserES(advice.execution_staff)" alt="" srcset="" v-else />
                </td>
                <td style="height:30px;line-height:30px">
                  <span v-if="setAdminUserES(advice.checker) == ''">{{ getAdminUser(advice.checker) }}</span>
                  <img style="height:40px;" :src="setAdminUserES(advice.checker)" alt="" srcset="" v-else />
                </td>
                <!-- <td v-if="advice_index === 0">透前体重:</td>
                <td v-if="advice_index === 0">{{ predialysis.weight_before }}kg</td>
                <td v-if="advice_index === 1">体重增加量:</td>
                <td v-if="advice_index === 1">
                  {{ (predialysis.weight_before - lastWeight.weight_after).toFixed(1) }}kg
                </td>
                <td v-if="advice_index === 2">干体重(DW):</td>
                <td v-if="advice_index === 2">{{ predialysis.dry_weight }}kg</td> -->
                <!-- <td v-if="advice_index === 3">较干体重增加量:</td>
                <td v-if="advice_index === 3">
                  {{predialysis.dry_weight !=0 && afterdialysis.weight_after != 0
                    ? (afterdialysis.weight_after - predialysis.dry_weight).toFixed(2): 0 }}kg
                </td>
                <td v-if="advice_index === 4">净脱水量:</td>
                <td v-if="advice_index === 4">{{ afterdialysis.actual_ultrafiltration }}L</td> -->
                <!-- <td v-if="advice_index === 3">透后体重:</td>
                <td v-if="advice_index === 3">{{ afterdialysis.weight_after }}kg</td>
                <td v-if="advice_index === 4">本次透析体重下降量:</td>
                <td v-if="advice_index === 4">
                  {{  afterdialysis.weight_after == 0 || predialysis.weight_before == 0? '0.00'
                      : (predialysis.weight_before - afterdialysis.weight_after).toFixed(2) }}kg
                </td> -->
              </tr>
            </tbody>
          </table>
        </div>
        <div style="border: 1px solid black;width: 99%;font-size: 14px;font-size: 16px;">
          <div>
            治疗小结
            <span class="under-line">&nbsp;{{ summary.dialysis_summary }}</span>
          </div>
          <div style="display: flex;">
            <div style="flex: 1;"></div>
            <div style="flex: 1;margin-top: 20px;">
              <div style="display: inline-block;margin-right: 120px;">
                <span style="display: inline-block;">医生签名:</span>
                <span style="display: inline-block;" v-if="setAdminUserES(prescription.creater) == ''">
                  {{ getAdminUser(prescription.creater)}}
                </span>
                <span style="display: inline-block;" v-else>
                  <img style="height:30px;" :src="setAdminUserES(prescription.creater)" alt srcset />
                </span>
              </div>
              <div style="display: inline-block;">
                <span>护士签名:</span>
                <!-- <div class="under-line" style="width: 50%;display: inline-block;"> -->
                  <span v-if="setAdminUserES( dialysisOrder == null ? 0 : dialysisOrder.start_nurse) == '' ">
                    {{getAdminUser(dialysisOrder == null ? 0 : dialysisOrder.start_nurse)}}
                  </span>
                  <img class="es-img" style="height: 30px"
                    :src=" setAdminUserES( dialysisOrder == null ? 0 : dialysisOrder.start_nurse) "
                    alt=""
                    srcset=""
                    v-else
                  />
                <!-- </div> -->
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>
</template>

<script>
import { getDialysisRecord, getPrintDialysisRecord } from "@/api/dialysis";
import { getDataConfig } from "@/utils/data";
import { jsGetAge, uParseTime } from "@/utils/tools";
import LabelBox from "../printItem/LabelBox";
import { fetchAllAdminUsers } from "@/api/doctor";
import {Toast,Dialog} from 'vant'
// import DialysisPrintOrderOne from './template/dialysisPrintOrderOne'
// import DialysisPrintOrderTwo from './template/dialysisPrintOrderTwo'
import print from "print-js";

export default {
  name: "DialysisPrintOrderSeven",
  components: {
    // DialysisPrintOrderOne,
    // DialysisPrintOrderTwo,
    LabelBox,
    // BreadCrumb
  },
  data() {
    return {
      way_arr: [],
      consciousness_arr: [],
      appetite_arr: [],
      posture_arr: [],
      sick_condition_arr: [],
      precaution_arr: [],
      intake_arr: [],
      nutrition_arr: [],

      crumbs: [
        { path: false, name: "透析管理" },
        { path: false, name: "打印单" }
      ],
      operators: [],
      adminUser: [],
      check: {},
      dialysisOrder: {
        DeviceNumber: []
      },
      operatorMaps: {},
      complications: [
        "低血压",
        "高血压",
        "心律失常",
        "头晕",
        "头痛",
        "呕吐",
        "抽搐",
        "出血",
        "心衰",
        "腹痛"
      ],
      jilurow: 0,
      advice_jilurow: 0,
      loading: false,
      orgname: "",
      patientInfo_gender_1: false,
      patientInfo_gender_2: false,
      patientInfo_source_2: false,
      patientInfo_source_1: false,
      modeOptions: {},
      replacementWays: [],
      perfusionApparatus: [],
      anticoagulantsConfit: {},
      bloodAccessParOpera: {},
      dialysateFormulationOptions: {},

      queryParams: {
        xtdate: "",
        xtno: ""
      },
      patientInfo: {
        birth: "",
        age: "",
        DialysisSchedule: {
          device_number: { number: "" },
          device_zone: { name: "" }
        },
        gender: 0
      },
      predialysis: {
        score: "",
        internal_fistula: "",
        internal_fistula_skin: "",
        catheter: "",
        blood_access_part_opera_name: ""
      },
      afterdialysis: {
        complications_index: ""
      },
      prescription: {
        dialysate_formulation_name: "",
        device: {}
      },
      advices: [],
      users: [],
      monitors: [],
      summary: {},
      receiverTreatmentAccess: {},
      org_template_info: {},
      isShowZero: false,

      doctor_advices: [],
      advice_groups: [],

      AlPanel: {
        id: 0,
        name: "",
        type: 1,
        shouji: 2,
        weichi: 2,
        zongliang: 2,
        gaimingcheng: -1,
        gaijiliang: -1,
        shouji_unit: "mg",
        weichi_unit: "mg/h",
        zongliang_unit: "mg",
        gaimingcheng_unit: "",
        gaijiliang_unit: ""
      },
      total: 0,
      displaceLiquiPartOptions: [],
      tableAdvice: [],
      dialysisorder: {},
      check: {},
      lastWeight:{},
      year:'',
      months:'',
      day:'',
    };
  },
  methods: {
    checkData(){
      var checkDate =[]
      if(this.predialysis.symptom_before_dialysis_other == '' && 
        this.predialysis.symptom_before_dialysis == ''
      ){
        const obj = "上机前病情"
        checkDate.push(obj)
      } if(this.predialysis.systolic_blood_pressure == '' &&
        this.predialysis.diastolic_blood_pressure == ''
      ){
        const obj1 = "血压"
        checkDate.push(obj1)
      } if(this.prescription.mode == ""){
        const obj2 = "治疗方式"
        checkDate.push(obj2)
      } if(this.prescription.displace_liqui_value == "" && 
        (this.prescription.mode_id == 2 || this.prescription.mode_id == 5 || this.prescription.mode_id == 12)){
          const obj3 = "置换量"
          checkDate.push(obj3)
      } if(this.afterdialysis.actual_treatment_hour == ''){
        const obj4 = "治疗时间"
        checkDate.push(obj4)
      } if(this.prescription.anticoagulant == ''){
        const obj5 = "抗凝剂未填"
        checkDate.push(obj5)
      } if(this.prescription.anticoagulant_shouji == 0 && this.prescription.anticoagulant=='普通肝素'){
        const obj6 = "首剂"
        checkDate.push(obj6)
      } if(this.prescription.anticoagulant_weichi == 0 && this.prescription.anticoagulant=='普通肝素'){
        const obj7 = "维持"
        checkDate.push(obj7)
      } if(this.prescription.anticoagulant_zongliang == 0 && this.prescription.anticoagulant=='普通肝素'){
        const obj8 = "总量"
        checkDate.push(obj8)
      }
      if(this.lastWeight.weight_after == 0){
        const obj9 = "上次透后体重"
        checkDate.push(obj9)
      } if(this.predialysis.weight_before == 0){
        const obj10 = "本次透前体重"
        checkDate.push(obj10)
      } if(this.predialysis.dry_weight == 0){
        const obj11 = "干体重"
        checkDate.push(obj11)
      } if(this.afterdialysis.weight_after == 0){
        const obj12 = "本次透后体重"
        checkDate.push(obj12)
      } if(this.prescription.target_ultrafiltration == 0){
        const obj13 = "目标脱水量"
        checkDate.push(obj13)
      } if(this.prescription.prescription_water == 0){
        const obj14 = "处方脱水量"
        checkDate.push(obj14)
      } if(this.prescription.creater == ""){
        const obj15 = "医生签名"
        checkDate.push(obj15) 
      } if(this.prescription.dialysate_flow == ''){
        const obj16 = "透析液流量"
        checkDate.push(obj16) 
      } if(this.prescription.blood_flow_volume == ''){
        const obj17 = "血流量"
        checkDate.push(obj17)
      } if (this.predialysis.machine_type == '') {
        const obj19 = "透析器"
        checkDate.push(obj19)
      } if (
        this.prescription.dialysis_irrigation == '' &&
        this.prescription.dialysis_dialyszers == '' &&
        this.prescription.dialysis_strainer == ''
      ){
        const obj18 = "透析(滤)器"
        checkDate.push(obj18)
      } if (this.predialysis.blood_access_part_opera_name == ''){
        const obj20 = "血管通路"
        checkDate.push(obj20)
      } if (this.dialysisOrder == null ||
        this.dialysisOrder.puncture_nurse == 0
      ) {
        const obj21 = "穿刺者"
        checkDate.push(obj21)
      } if(this.summary.dialysis_summary == ""){
        const obj22 = "透析小结"
        checkDate.push(obj22)
      } if (
        this.dialysisOrder == null ||
        this.dialysisOrder.start_nurse == 0
      ) {
        const obj23 = "护士签名"
        checkDate.push(obj23)
      }
      
     if(this.tableAdvice.length > 0){
        let num = 0
        this.tableAdvice.map(item => {
          if(item.id > 0 && (item.created_time || item.start_time)){
            if(item.execution_staff =='' || item.checker ==''){
              const obj24 = '执行,核对'
              checkDate.push(obj24)
            }
          }
        })
        if(num == 0){
          this.$toast('核对完成')
        }
      }
      this.getcheckData(checkDate)
    },
    getUser() {
      fetchAllAdminUsers().then(response => {
        if (response.data.state == 1) {
          this.adminUser = response.data.data.users;
          this.loading = false;
        } else {
          this.loading = false;
          this.$message.error("请求数据失败11");
          return false;
        }
      });
    },
    getAdminUser(id) {
      if (id == 0) {
        return "";
      }
      if (id == undefined) {
        return "";
      }
      for (let i = 0; i < this.adminUser.length; i++) {
        if (this.adminUser[i].id == id) {
          return this.adminUser[i].name;
        }
      }
    },
    getTime(value, temp) {
      if (value == 0) {
        return "";
      }
      if (value != undefined) {
        return uParseTime(value, temp);
      }
      return "";
    },
    printThisPage() {
      var ptime = Math.round(new Date().getTime() / 1000);
      this.print_time = uParseTime(ptime, "{y}-{m}-{d} {h}:{i}");

      const style =
        '@media print {.dialysis-print-order{width:960px;margin:0 auto}.dialysis-print-order .order-yy-name{margin:auto;text-align:center;font-size:20px;letter-spacing:5px}.dialysis-print-order .order-title{margin:auto;font-weight:600;text-align:center;font-size:22px;padding:10px 20px 20px 20px}.dialysis-print-order .table-box{width:100%;line-height:23px;font-size:14px}.dialysis-print-order .print-table{width:100%;text-align:center;border-collapse:collapse;line-height:25px;font-size:14px}.dialysis-print-order .print-table-no{width:100%;text-align:center;border-collapse:collapse;font-size:14px}.dialysis-print-order .under-line{border-bottom:1px solid #999;width:95%;text-align:center;margin-left:2px}.dialysis-print-order .title-box{text-align:center;font-size:16px;border:1px solid #666}.dialysis-print-order .radio-lebel-box{font-weight:400;cursor:pointer}.dialysis-print-order .radio-no{opacity:0;outline:0;position:absolute;margin:0;width:0;height:0;z-index:-1}.dialysis-print-order .radio-inner{white-space:nowrap;cursor:pointer;outline:0;display:inline-block;line-height:1;position:relative;vertical-align:middle}.dialysis-print-order .radio-fang{display:inline-block;position:relative;border:1px solid #000;box-sizing:border-box;width:14px;height:14px;background-color:#fff;z-index:1;transition:border-color .25s cubic-bezier(.71,-.46,.29,1.46),background-color .25s cubic-bezier(.71,-.46,.29,1.46)}.dialysis-print-order .is-checked-radio::after{content:"√";font-size:15px}}.dialysis-print-order .print-table-no tr td { padding: 8px 5px; line-height: 25px; }.es-img{height: 20px; }.advice-name{text-align: left;}.advice-children{display:flex;} .dialysis-print-order .print-table tr td{padding: 0px 0px;} .print-template-two tr {line-height: 30px;}   .title-box-pro{border: 0 #fff;line-height: 40px;height: 40px;text-align: left;padding-left: 10px !important;}  .text-align-left{text-align: left !important;padding-left:10px !important;font-size: 14px !important;line-height: 25px;}';

      if (this.org_template_info.template_id == 1) {
        printJS({
          printable: "dialysis-print-box",
          type: "html",
          style: style,
          scanStyles: false
        });
      } else if (
        this.org_template_info.template_id == 2 ||
        this.org_template_info.template_id == 0
      ) {
        printJS({
          printable: "dialysis-print-box-1",
          type: "html",
          style: style,
          scanStyles: false
        });
      }
    },
    getNumber() {
      if (this.dialysisOrder != null) {
        return (
          this.patientInfo.DialysisSchedule.device_zone.name +
          this.dialysisOrder.DeviceNumber.number
        );
      } else {
        return (
          this.patientInfo.DialysisSchedule.device_zone.name +
          this.patientInfo.DialysisSchedule.device_number.number
        );
      }
    },

    getXuserName(id) {
      if (id <= 0) {
        return "";
      }
      var name = "";
      if (this.users == null || typeof this.users.length === "undefined") {
        return name;
      }
      var leng = this.users.length;
      if (leng == 0) {
        return name;
      }
      for (let index = 0; index < leng; index++) {
        if (this.users[index].id == id) {
          name = this.users[index].name;
          break;
        }
      }
      return name;
    },
    setAdminUserES(id) {
      if (id == 0) {
        return "";
      }
      if (id in this.operatorMaps) {
        return this.operatorMaps[id].url;
      } else {
        return "";
      }
    },
    modeName(mode_id) {
      return typeof this.modeOptions[mode_id] !== "undefined" &&
        typeof this.modeOptions[mode_id].name !== "undefined"
        ? this.modeOptions[mode_id].name
        : "";
    },
    getDialysisRecord() {
      getPrintDialysisRecord(this.queryParams).then(response => {
        if (response.data.state == 1) {
          var dialysisorder = response.data.data.dialysisOrder;
          this.lastWeight = response.data.data.lastWeight
          this.dialysisorder = dialysisorder;
          console.log("上机", dialysisorder);
          var check = response.data.data.check;
          console.log("核对这", check);
          this.check = check;
          this.adminUser = response.data.data.users;
          this.users = response.data.data.users;
          this.patientInfo = response.data.data.patientInfo;
          this.patientInfo.birth = uParseTime(
            this.patientInfo.birthday,
            "{y}-{m}-{d}"
          );
          // this.patientInfo.age = jsGetAge(this.patientInfo.birth, "-");
          if (response.data.data.patientInfo.first_dialysis_date != 0) {
            this.patientInfo.first_dialysis_date = uParseTime(
              response.data.data.patientInfo.first_dialysis_date,
              "{y}-{m}-{d}"
            );
          } else {
            this.patientInfo.first_dialysis_date = "";
          }

          this.predialysis = response.data.data.PredialysisEvaluation;
          this.predialysis.blood_access_part_opera_name = this.bloodAccessParOperaName(
            this.predialysis.blood_access_part_opera_id
          );
          this.afterdialysis = response.data.data.AssessmentAfterDislysis;
          this.operators = response.data.data.operators;
          console.log("想到操作", this.operators);
          this.dialysisOrder =
            response.data.data.dialysisOrder === null
              ? null
              : response.data.data.dialysisOrder;

          if (this.operators.length > 0) {
            var operatorsLen = this.operators.length;
            for (var index = 0; index < operatorsLen; index++) {
              this.$set(
                this.operatorMaps,
                this.operators[index].creator,
                this.operators[index]
              );
            }
          }

          this.afterdialysis.txqnx = -1;
          if (this.afterdialysis.cruor.indexOf("0度") > -1) {
            this.afterdialysis.txqnx = 0;
          }
          if (this.afterdialysis.cruor.indexOf("Ⅰ度") > -1) {
            this.afterdialysis.txqnx = 1;
          }
          if (this.afterdialysis.cruor.indexOf("Ⅱ度") > -1) {
            this.afterdialysis.txqnx = 2;
          }
          if (this.afterdialysis.cruor.indexOf("Ⅲ度") > -1) {
            this.afterdialysis.txqnx = 3;
          }

          this.afterdialysis.complications = this.afterdialysis.complication.split(
            ","
          );
          this.afterdialysis.complications_other = [];
          this.afterdialysis.complications_index = [];
          var acllen = this.afterdialysis.complications.length;
          for (let index = 0; index < acllen; index++) {
            if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) >= 0
            ) {
              this.afterdialysis.complications_index.push(
                this.afterdialysis.complications[index]
              );
            } else if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) < 0 &&
              this.afterdialysis.complications_other.indexOf(
                this.afterdialysis.complications[index]
              ) < 0
            ) {
              this.afterdialysis.complications_other.push(
                this.afterdialysis.complications[index]
              );
            }
          }
          this.afterdialysis.complications_other = this.afterdialysis.complications_other.join(
            ","
          );

          var prescription = response.data.data.dialysisPrescription;

          if (prescription.anticoagulant == 6) {
            prescription.anticoagulant = "低分子肝素钙";
          }
          if (prescription.anticoagulant == 7) {
            prescription.anticoagulant = "低分子肝素钠";
          }

          this.prescription = prescription;
          console.log("透析处方", this.prescription);

          this.receiverTreatmentAccess =
            response.data.data.receiverTreatmentAccess;

          this.prescription.mode = this.modeName(this.prescription.mode_id);
          var rwLen = this.replacementWays.length;
          this.prescription.replacement = "";
          for (let index = 0; index < rwLen; index++) {
            if (
              this.replacementWays[index].id ==
              this.prescription.replacement_way
            ) {
              this.prescription.replacement = this.replacementWays[index].name;
              break;
            }
          }

          this.prescription.dialysate_formulation_name = this.dialysateFormulationName(
            this.prescription.dialysate_formulation
          );

          var paLen = this.perfusionApparatus.length;
          this.prescription.perfusion_apparatus_name = "";
          for (let index = 0; index < paLen; index++) {
            if (
              this.perfusionApparatus[index].id ==
              this.prescription.perfusion_apparatus
            ) {
              this.prescription.perfusion_apparatus_name = this.perfusionApparatus[
                index
              ].name;
              break;
            }
          }

          var acLen = this.anticoagulantsConfit.length;
          var thisALID = this.prescription.anticoagulant;
          this.prescription.anticoagulant_name = "";

          if (
            typeof this.anticoagulantsConfit[thisALID] !== "undefined" &&
            this.anticoagulantsConfit[thisALID] != null
          ) {
            this.prescription.anticoagulant_name = this.anticoagulantsConfit[
              thisALID
            ].name;
            this.AlPanel = this.anticoagulantsConfit[thisALID];
          }

          this.advices = response.data.data.advices;

          console.log('response.data.data',response.data.data);
          var DoctorAdvice = response.data.data.DoctorAdvice
          var advices = response.data.data.advices;
          var tableAdvice = advices.concat(DoctorAdvice);
          console.log("医嘱", tableAdvice);
          if (tableAdvice.length === 0) {
            var obj = { advice_name: "", start_time: "" };
            var obj1 = { advice_name: "", start_time: "" };
            var obj2 = { advice_name: "", start_time: "" };
            var obj3 = { advice_name: "", start_time: "" };
            var obj4 = { advice_name: "", start_time: "" };
            // var obj5 = { advice_name: "", start_time: "" };
            // var obj6 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            tableAdvice.push(obj2);
            tableAdvice.push(obj3);
            tableAdvice.push(obj4);
            // tableAdvice.push(obj5);
            // tableAdvice.push(obj6);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 1) {
            var obj = { advice_name: "", start_time: "" };
            var obj1 = { advice_name: "", start_time: "" };
            var obj2 = { advice_name: "", start_time: "" };
            var obj3 = { advice_name: "", start_time: "" };
            // var obj4 = { advice_name: "", start_time: "" };
            // var obj5 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            tableAdvice.push(obj2);
            tableAdvice.push(obj3);
            // tableAdvice.push(obj4);
            // tableAdvice.push(obj5);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 2) {
            var obj = { advice_name: "", start_time: "" };
            var obj1 = { advice_name: "", start_time: "" };
            var obj2 = { advice_name: "", start_time: "" };
            // var obj3 = { advice_name: "", start_time: "" };
            // var obj4 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            tableAdvice.push(obj2);
            // tableAdvice.push(obj3);
            // tableAdvice.push(obj4);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 3) {

            var obj = { advice_name: "", start_time: "" };

            var obj1 = { advice_name: "", start_time: "" };

            // var obj2 = { advice_name: "", start_time: "" };
            // var obj3 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            // tableAdvice.push(obj2);
            // tableAdvice.push(obj3);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 4) {
            var obj = { advice_name: "", start_time: "" };

            // var obj1 = { advice_name: "", start_time: "" };
            // var obj2 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            // tableAdvice.push(obj1);
            // tableAdvice.push(obj2);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 5) {
            // eslint-disable-next-line no-redeclare
            // var obj = { advice_name: "", start_time: "" };
            // // eslint-disable-next-line no-redeclare
            // var obj1 = { advice_name: "", start_time: "" };
            // var obj2 = { advice_name: "", start_time: "" };
            // tableAdvice.push(obj);
            // tableAdvice.push(obj1);
            // tableAdvice.push(obj2);
            this.tableAdvice = tableAdvice;
          }

          if (tableAdvice.length >5) {
            // var obj = { advice_name: "", start_time: "" };
            // tableAdvice.push(obj);
            this.tableAdvice = tableAdvice;
          }
          this.monitors = response.data.data.monitors;
          this.summary = response.data.data.summary;
          this.org_template_info = response.data.data.org_template_info;
          // 配置超滤量和置换量是否要显示0还是空
          if (this.org_template_info.org_id == 9535) {
            this.isShowZero = true;
          }

          if (this.monitors.length < 8) {
            var nl = 8 - this.monitors.length;
            for (let index = 0; index < nl; index++) {
              this.monitors.push([]);
            }
          }
          this.jilurow = this.monitors.length + 1;

          var childMap = {};
          for (const index in this.advices) {
            if (this.advices[index].parent_id == 0) {
              continue;
            }
            if (!(this.advices[index].parent_id in childMap)) {
              childMap[this.advices[index].parent_id] = [];
            }
            childMap[this.advices[index].parent_id].push(this.advices[index]);
          }

          var advices = [];
          for (const index in this.advices) {
            if (this.advices[index].parent_id > 0) {
              continue;
            }
            var item = this.advices[index];
            if (item.id in childMap) {
              item.children = childMap[item.id];
            } else {
              item.children = [];
            }
            advices.push(item);
          }

          var leftAdvice = [];
          var rightAdvice = [];
          var adlen = advices.length;

          var halfLen = adlen % 2 == 0 ? adlen / 2 : (adlen + 1) / 2;
          for (var i = 0; i < halfLen; i++) {
            leftAdvice.push(advices[i]);
            rightAdvice.push(advices[i + halfLen]);
          }

          if (halfLen < 5) {
            var nl = 5 - leftAdvice.length;
            for (let index = 0; index < nl; index++) {
              leftAdvice.push([]);
            }
            var nl = 5 - rightAdvice.length;
            for (let index = 0; index < nl; index++) {
              rightAdvice.push([]);
            }
          }

          this.advices = [];
          for (var i = 0; i < halfLen; i++) {
            var item = [];
            item.push(leftAdvice[i]);
            item.push(rightAdvice[i]);
            this.advices.push(item);
          }
        } else {
          this.$message.error("请求数据失败");
          return false;
        }
      });
    },

    bloodAccessParOperaName(id) {
      if (id in this.bloodAccessParOpera) {
        return this.bloodAccessParOpera[id].name;
      }
      return "";
    },
    dialysateFormulationName(id) {
      if (id in this.dialysateFormulationOptions) {
        return this.dialysateFormulationOptions[id].name;
      }
      return "";
    },
    getAge: function (val) {
      // if (this.org_template_info.template_id == 2 || this.org_template_info.template_id == 0) {
      if (val.birthday != 0) {
        return jsGetAge(val.birth, '-')
      } else {
        return ''
      }
      // } else {
      //   return jsGetAge(val.birth, '-')
      // }
    },
    newAdviceGroupObject: function() {
      return Object.assign(
        {},
        {
          group_no: 0,
          // advice_doctor: 0,
          // start_time: 0,
          advices: []
          // exec_staff: 0,
          // exec_time: 0,
          // checker: 0,
        }
      );
    },

    getDisplaceLiquiPart: function(val) {
      let displace_liqui_part_name = "/";
      let displace_liqui_part = this.displaceLiquiPartOptions;
      for (let i = 0; i < displace_liqui_part.length; i++) {
        if (displace_liqui_part[i].id == val) {
          displace_liqui_part_name = displace_liqui_part[i].name;
        }
      }
      return displace_liqui_part_name;
    },
    getNewAge (UUserCard) {
      if (UUserCard != null && UUserCard != '') {
        // 获取年龄
        var myDate = new Date()
        var month = myDate.getMonth() + 1
        var day = myDate.getDate()
        var age = myDate.getFullYear() - UUserCard.substring(6, 10) - 1
        if (
          UUserCard.substring(10, 12) < month ||
          (UUserCard.substring(10, 12) == month &&
            UUserCard.substring(12, 14) <= day)
        ) {
          age++
        }
        return age
      }
    },
    getcheckData(val){
      if(val.length >0){
        let message = `记录单未填数据:\n${val.join("\n")}`;
        Dialog.confirm({
          allowHtml:true,
          message:message,
        }).then(() => {

          })
          .catch(() => {

          });
        return message
      }else{
        this.$toast('核对完成')
      }
    }
  },
  watch: {
    "patientInfo.gender": function() {
      if (this.patientInfo.gender == 1) {
        this.patientInfo_gender_1 = true;
        this.patientInfo_gender_2 = false;
      } else if (this.patientInfo.gender == 2) {
        this.patientInfo_gender_2 = true;
        this.patientInfo_gender_1 = false;
      } else {
        this.patientInfo_gender_2 = false;
        this.patientInfo_gender_1 = false;
      }
    },
    "patientInfo.source": function() {
      if (this.patientInfo.source == 1) {
        this.patientInfo_source_1 = true;
        this.patientInfo_source_2 = false;
      } else if (this.patientInfo.source == 2) {
        this.patientInfo_source_2 = true;
        this.patientInfo_source_1 = false;
      } else {
        this.patientInfo_source_2 = false;
        this.patientInfo_source_1 = false;
      }
    }
  },
  created() {
    this.way_arr = getDataConfig("hemodialysis", "way");
    this.consciousness_arr = getDataConfig("hemodialysis", "consciousness");
    this.appetite_arr = getDataConfig("hemodialysis", "appetite");
    this.posture_arr = getDataConfig("hemodialysis", "posture");
    this.sick_condition_arr = getDataConfig("hemodialysis", "sick_condition");
    this.precaution_arr = getDataConfig("hemodialysis", "precaution");
    this.intake_arr = getDataConfig("hemodialysis", "intake");
    this.nutrition_arr = getDataConfig("hemodialysis", "nutrition");

    var xtuser = this.$store.getters.user;
    this.orgname = xtuser.org.org_name;
    // this.orgname = "遂溪方济医院";
    this.modeOptions = this.$store.getters.treatment_mode;
    this.replacementWays = this.$store.getters.replacement_ways;
    this.perfusionApparatus = this.$store.getters.perfusion_apparatus;
    this.anticoagulantsConfit = this.$store.getters.anticoagulants_confit;

    // this.bloodAccessParOpera = getDataConfig('hemodialysis', 'vascular_access_desc')

    var bloodAccessParOpera = getDataConfig(
      "hemodialysis",
      "vascular_access_desc"
    );
    for (var key in bloodAccessParOpera) {
      this.bloodAccessParOpera[bloodAccessParOpera[key].id] =
        bloodAccessParOpera[key];
    }

    var dialysateFormulationOptions = getDataConfig(
      "hemodialysis",
      "dialysate_formulation"
    );
    for (var key in dialysateFormulationOptions) {
      this.dialysateFormulationOptions[dialysateFormulationOptions[key].id] =
        dialysateFormulationOptions[key];
    }

    const xtdate = this.$route.query && this.$route.query.xtdate;
    const xtno = this.$route.query && this.$route.query.xtno;
    if (
      typeof xtdate === "string" &&
      xtdate.length > 0 &&
      typeof xtno === "string" &&
      xtno.length > 0
    ) {
      this.queryParams.xtdate = xtdate;
      this.queryParams.xtno = xtno;
      const arr = xtdate.split('-')
      // console.log('arrrarrr',arr);
      this.year = arr[0]
      this.months = arr[1]
      this.day = arr [2]
      this.getDialysisRecord();
    } else {
      this.$message.error("参数不齐");
      return false;
    }

    this.getUser();
    this.displaceLiquiPartOptions = this.$store.getters.displace_liqui;
  }
};
</script>

<style>
.dialysis-print-order {
  width: 960px;
  margin: 0 auto;
}

.dialysis-print-order .order-yy-name {
  margin: auto;
  text-align: center;
  font-size: 20px;
  letter-spacing: 5px;
}

.dialysis-print-order .order-title {
  margin: auto;
  font-weight: 600;
  text-align: center;
  font-size: 22px;
  padding: 10px 20px 20px 20px;
}

.dialysis-print-order .table-box {
  width: 100%;
  line-height: 23px;
  font-size: 14px;
}

.dialysis-print-order .print-table {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  line-height: 40px;
  font-size: 14px;
}

.dialysis-print-order .print-table-no {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  font-size: 14px;
}

.dialysis-print-order .under-line {
  border-bottom: 1px solid #999;
  width: 95%;
  text-align: center;
  margin-left: 2px;
}

.dialysis-print-order .title-box {
  text-align: center;
  font-size: 16px;
}

.dialysis-print-order .radio-lebel-box {
  font-weight: 400;
  cursor: pointer;
}

.dialysis-print-order .radio-no {
  opacity: 0;
  outline: none;
  position: absolute;
  margin: 0;
  width: 0;
  height: 0;
  z-index: -1;
}

.dialysis-print-order .radio-inner {
  white-space: nowrap;
  cursor: pointer;
  outline: none;
  display: inline-block;
  line-height: 1;
  position: relative;
  vertical-align: middle;
}

.dialysis-print-order .radio-fang {
  display: inline-block;
  position: relative;
  border: 1px solid #000;
  box-sizing: border-box;
  width: 20px;
  height: 20px;
  background-color: #fff;
  z-index: 1;
  transition: border-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46),
    background-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46);
}

.dialysis-print-order .is-checked-radio::after {
  content: "√";
  font-size: 20px;
  font-weight: 200;
}

.dialysis-print-order .print-table-no tr td {
  padding: 8px 5px;
  line-height: 25px;
}

.dialysis-print-order .print-table tr td {
  padding: 1px 1px;
  /*line-height: 25px;*/
}

.es-img {
  height: 25px;
}

.advice-name {
  text-align: left;
}

.advice-children {
  display: flex;
}

.title-box-pro {
  border: 0 #fff;
  line-height: 25px;
  height: 25px;
  text-align: left;
  padding-left: 10px !important;
}
.title-box-pro-tr {
  border: 0 #fff;
}
.text-align-left {
  text-align: left !important;
  padding-left: 10px !important;
  font-size: 14px !important;
  line-height: 25px;
}
.print-table-tr-new td {
  line-height: 20px !important;
}
.border-top-solid {
  border: solid 1px #000;
}
.print-template-two tr {
  line-height: 30px;
}

.is-checked-radio::after {
  content: "\221A";
  font-size: 10px;
  margin-left: -1px !important;
  position: absolute;
}
</style>
